CREATE TABLE ase_pwd_reset_req (
    REQ_ID                   NUMBER(18, 0),
    RESET_GUID               VARCHAR2(256)    NOT NULL,
    USER_GUID                VARCHAR2(256)    NOT NULL,
    UNLOCK_FLAG              VARCHAR2(4)  ,
    PROCESSED_FLAG           VARCHAR2(4)      NOT NULL,
    EXPIRED_FLAG             VARCHAR2(4)      NOT NULL,
    BAD_ATTEMPTS             NUMBER(9, 0)     NOT NULL,
    LAST_ATTEMPT_DATE        TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    REQ_ID                   NUMBER(18, 0),
    RESET_GUID               VARCHAR2(256)    NOT NULL,
    USER_GUID                VARCHAR2(256)    NOT NULL,
    UNLOCK_FLAG              VARCHAR2(4)  ,
    PROCESSED_FLAG           VARCHAR2(4)      NOT NULL,
    EXPIRED_FLAG             VARCHAR2(4)      NOT NULL,
    BAD_ATTEMPTS             NUMBER(9, 0)     NOT NULL,
    LAST_ATTEMPT_DATE        TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ase_pwd_reset_req PRIMARY KEY (REQ_ID, REQ_ID)
);
